File: changelog

package info (click to toggle)
sagemath 8.6-6
  • links: PTS, VCS
  • area: main
  • in suites: buster, sid
  • size: 113,052 kB
  • sloc: python: 996,064; cpp: 6,208; sh: 3,252; ansic: 3,226; objc: 1,407; makefile: 1,087; lisp: 5
file content (772 lines) | stat: -rw-r--r-- 24,772 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
482
483
484
485
486
487
488
489
490
491
492
493
494
495
496
497
498
499
500
501
502
503
504
505
506
507
508
509
510
511
512
513
514
515
516
517
518
519
520
521
522
523
524
525
526
527
528
529
530
531
532
533
534
535
536
537
538
539
540
541
542
543
544
545
546
547
548
549
550
551
552
553
554
555
556
557
558
559
560
561
562
563
564
565
566
567
568
569
570
571
572
573
574
575
576
577
578
579
580
581
582
583
584
585
586
587
588
589
590
591
592
593
594
595
596
597
598
599
600
601
602
603
604
605
606
607
608
609
610
611
612
613
614
615
616
617
618
619
620
621
622
623
624
625
626
627
628
629
630
631
632
633
634
635
636
637
638
639
640
641
642
643
644
645
646
647
648
649
650
651
652
653
654
655
656
657
658
659
660
661
662
663
664
665
666
667
668
669
670
671
672
673
674
675
676
677
678
679
680
681
682
683
684
685
686
687
688
689
690
691
692
693
694
695
696
697
698
699
700
701
702
703
704
705
706
707
708
709
710
711
712
713
714
715
716
717
718
719
720
721
722
723
724
725
726
727
728
729
730
731
732
733
734
735
736
737
738
739
740
741
742
743
744
745
746
747
748
749
750
751
752
753
754
755
756
757
758
759
760
761
762
763
764
765
766
767
768
769
770
771
772
sagemath (8.6-6) unstable; urgency=medium

  * New patches:
    - u1-sphinx-1.8-doctest-transform.patch
    - d0-mathjax.patch
  * Update u0-version-sphinx-1.8.patch.
  * Create symlinks to system mathjax to fix math typesetting
    in documentation.
  * Remove (Build-)Depends:
    - python-flask
    - python-flask-autoindex
    - python-flask-babel
    - python-flask-oldsessions
    - python-flask-openid
    - python-flask-silk
  * Move packages from Depends to Recommends of sagemath (they all stay
    Build-Depends):
    - maxima-sage-doc
    - pari-doc
    - python-sagenb-export
    - r-cran-lattice
    - singular-doc
  * Fix 'sage --version'. (Closes: #923166)

 -- Tobias Hansen <thansen@debian.org>  Sat, 02 Mar 2019 02:54:33 +0000

sagemath (8.6-5) unstable; urgency=medium

  * New patches:
    - d0-threejs-default-in-notebooks.patch
      Makes threejs the default 3D viewer in the Jupyter and sagenb
      notebooks.
    - u1-pkgconfig-extra-link-flags.patch (Closes: #919573)
  * Update u0-version-sphinx-1.8.patch.
  * Exclude all png's from dh_strip_nondeterminism.

 -- Tobias Hansen <thansen@debian.org>  Thu, 07 Feb 2019 06:51:46 +0000

sagemath (8.6-4) unstable; urgency=medium

  [ Ximin Luo ]
  * Add Rules-Requires-Root: no, avoid using fakeroot.

  [ Tobias Hansen ]
  * Install a desktop file to start the Jupyter notebook.
  * New (Build-)Depends:
    - python-sphinx (>= 1.8) (Closes: #920989)
  * Remove (Build-)Depends:
    - gnutls-dev
    - libblas-dev
    - libgcrypt-dev
    - python3-dev
    - scons
    - f2c
    - octave
    - python-crypto
    - python-gd
    - python-gnutls
    - python-jsonschema
    - python-moinmoin
    - python-ply
    - python-tk
  * Adjust two trivial test fixes.
  * New patches:
    - u0-version-sphinx-1.8-dependency.patch     #26949
    - u0-version-sphinx-1.8.patch                #26451
  * Don't install sage-env-config. (Closes: #918990)

 -- Tobias Hansen <thansen@debian.org>  Thu, 31 Jan 2019 15:35:11 +0000

sagemath (8.6-3) unstable; urgency=medium

  [ Tobias Hansen ]
  * New (Build-)Depends:
    - gap-online-help
    - gap-atlasrep
    - gap-table-of-marks
    - libopenblas-dev (on supported architectures)
  * Remove (Build-)Depends:
    - libatlas-base-dev (on openblas supported architectures)
    - liblapack-dev
  * Allow up to 50 test failures.
  * Run tests with appropriate --optional flag.

  [ E. Madison Bray ]
  * New patch: u2-libgap-symbol-loading.patch

 -- Tobias Hansen <thansen@debian.org>  Thu, 24 Jan 2019 08:52:42 +0000

sagemath (8.6-2) unstable; urgency=medium

  * New (Build-)Depends:
    - ecl (>= 16.1.3)
    - maxima-sage (>= 5.41.0+ds-3)
  * New patches:
    - u0-version-ecl-16.1.3.patch                #22191
  * Don't run dh_strip_nondeterminism on sageicon.png to avoid error.

 -- Tobias Hansen <thansen@debian.org>  Wed, 16 Jan 2019 17:33:43 +0000

sagemath (8.6-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * New (Build-)Depends:
    - cysignals (>= 1.8.1)
    - libpynac-dev (>= 0.7.23)
    - python-sphinx (<< 1.8~)
  * New patches:
    - u0-version-numpy-1.16-inline-fortran.patch #27061
  * Remove patches (applied upstream):
    - u0-version-networkx-2.2.patch              #26326
  * Fix path to sage in Jupyter kernel spec. (Closes: #918993)

 -- Tobias Hansen <thansen@debian.org>  Wed, 16 Jan 2019 00:25:58 +0100

sagemath (8.6~rc0-1) experimental; urgency=medium

  * New upstream release.
  * New (Build-)Depends:
    - cython (>= 0.29.1)
    - lcalc (>= 1.23+dfsg-10)
    - libflint-arb-dev (>= 1:2.15)
    - python-cypari2 (>= 1.3.1)
  * Remove patches (applied upstream):
    - u0-gap-util.patch
    - u0-version-gap-4.10.patch                  #22626
    - u0-version-numpy-1.14.3.patch              #25260
    - u0-gap-trac-26889.patch                    #26889
    - u0-gap-trac-26856.patch                    #26856
    - u1-fix-mkdirs-sage-kernel-spec.patch       #26176
    - u2-version-r-3.5.1-incomplete.patch        #26185

 -- Tobias Hansen <thansen@debian.org>  Sun, 06 Jan 2019 12:19:11 +0000

sagemath (8.4-4) unstable; urgency=medium

  * Closes: #918068
  * New (Build-)Depends:
    - gap-primgrp
    - gap-smallgrp
    - gap-transgrp
    - lcalc (>= 1.23+dfsg-9)
  * New patches:
    - u0-gap-trac-26889.patch                    #26889
    - u0-gap-trac-26856.patch                    #26856

 -- Tobias Hansen <thansen@debian.org>  Thu, 03 Jan 2019 11:15:59 +0000

sagemath (8.4-3) unstable; urgency=medium

  * New (Build-)Depends:
    - gap (>= 4r10p0-3) (Closes: #912980)
    - networkx (>= 2.2)
    - gdb
  * Removed (Build-)Depends:
    - libgap-sage
    - libsingular4 (Closes: #912593)
    - gdb-python2 (Closes: #890231)
  * New patches:
    - u0-gap-util.patch
    - u0-version-gap-4.10.patch                  #22626
    - u0-version-networkx-2.2.patch              #26326
    - d0-libgap-path.patch
  * Removed patches:
    - d0-libgap-sage.patch
  * Add lintian overrides for threejs example files with long lines.
  * Allow 90 test failures for 'arch' tests, 10 for 'indep'.
  * Install shlibs.local for libgap.
  * Add lintian override for /usr/lib/*/gap in rpath.

 -- Tobias Hansen <thansen@debian.org>  Wed, 02 Jan 2019 11:28:59 +0000

sagemath (8.4-2) unstable; urgency=medium

  * Upload to unstable.
  * New (Build-)Depends:
    - libbraiding
    - libhomfly
  * Remove patch:
    - dt-revert-standard-libbraiding-libhomfly.patch

 -- Tobias Hansen <thansen@debian.org>  Sat, 20 Oct 2018 11:41:45 +0200

sagemath (8.4-1) experimental; urgency=medium

  * New upstream release.
  * New (Build-)Depends:
    - brial (>= 1.2.4)
    - cddlib (>= 094j)
    - eclib (>= 20180815)
  * New patches:
    - dt-revert-standard-libbraiding-libhomfly.patch
  * Remove patches (applied upstream):
    - u0-version-singular-4.1.1p2.patch
    - u0-version-cypari2-1.2.1.patch             #25813
    - u0-version-pari-2.11.patch                 #25567
    - u0-version-arb-2.14.patch                  #25966
    - u0-fix-symlink-sage-kernel-spec.patch      #25722
    - d0-pari.patch
    - d0-paths-sharedata.patch
    - dt-r-no-readline.patch
  * Patches with non-trivial modifications:
    - d0-maxima.patch
    - d0-paths.patch
    - d1-install-paths.patch
    - d1-sage-env.patch
    - dt-work-around-doc-common-conf.patch

 -- Tobias Hansen <thansen@debian.org>  Fri, 19 Oct 2018 00:18:23 +0200

sagemath (8.3-4) unstable; urgency=medium

  * Install sage-python23. (Closes: #910940)
  * Remove d1-remove-sage-python23.patch.
  * Fix some lintian warnings.
  * Fix path to sage-version.sh in u1-scripts-dir.patch.

 -- Tobias Hansen <thansen@debian.org>  Sun, 14 Oct 2018 12:47:48 +0000

sagemath (8.3-3) unstable; urgency=medium

  * New (Build-)Depends:
    - singular (== 4.1.1-p2)
  * New patches:
    - u0-version-singular-4.1.1p2.patch
  * Remove patches (applied upstream):
    - u0-fix-dont-require-DISPLAY.patch          #22441
  * dt-more-fix-test-cases.patch:
    Disable a test in sage/src/sage/libs/pari/tests.py that sometimes
    hangs on ppc64el.

 -- Tobias Hansen <thansen@debian.org>  Sat, 06 Oct 2018 14:15:28 +0000

sagemath (8.3-2) unstable; urgency=medium

  * Remove dependency on backports.ssl-match-hostname. (Closes: #909975)
  * Remove patches:
    - d1-test-optional.patch

 -- Tobias Hansen <thansen@debian.org>  Mon, 01 Oct 2018 20:16:30 +0200

sagemath (8.3-1) unstable; urgency=medium

  * Upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Wed, 26 Sep 2018 18:44:43 +0000

sagemath (8.3-1~exp2) experimental; urgency=medium

  [ Julian Rüth ]
  * New patches:
    - u0-fix-symlink-sage-kernel-spec.patch      #25722

  [ Ximin Luo ]
  * New patches:
    - u2-version-r-3.5.1-incomplete.patch        #26185

  [ Tobias Hansen ]
  * Depend on python-stemmer to fix docbuild (see #907381).

 -- Tobias Hansen <thansen@debian.org>  Tue, 04 Sep 2018 20:24:14 +0000

sagemath (8.3-1~exp1) experimental; urgency=medium

  [ Julian Rüth ]
  * New upstream version.
  * New (Build-)Depends:
    - libflint-arb-dev (>= 1:2.13)
    - libfplll-dev (>= 5.2.1)
    - libpynac-dev (>= 0.7.22)
    - ipython (>= 5.5.0)
    - maxima-sage (>= 5.41.0)
    - python-fpylll (>= 0.4.1)
    - python-packaging
  * Remove patches (applied upstream):
    - u0-version-pynac-0.7.19.patch              #24838
    - u0-version-sphinx-1.7.patch                #24935
    - u0-version-pbori-boost1.62-hashes.patch    #22243
    - u0-version-networkx-2.1.patch              #24374
    - u0-reproducible-docs.patch                 #25093
    - u0-better-sphinx-failure-modes.patch       #25160, 25161
    - u1-version-cddlib-094h.patch               #25341

  [ Tobias Hansen ]
  * New (Build-)Depends:
    - gfan (>= 0.6.2)
    - libgiac-dev (>= 1.4.9.69)
    - pari (>= 2.11.0)
    - python-cypari2 (>= 1.2.1),
  * New patches:
    - u0-version-cypari2-1.2.1.patch             #25813
    - u0-version-pari-2.11.patch                 #25567
    - u0-version-arb-2.14.patch                  #25966
  * Removed patches (aaplied upstream):
    - u2-pari-stackwarn.patch                    #23263
    - d0-pari-2.9-revert-24531.patch
    - d0-pari-2.9-revert-23544.patch
  * Use atlas instead of openblas to work around crashes with openblas 0.3.2.

 -- Ximin Luo <infinity0@debian.org>  Sun, 12 Aug 2018 14:53:31 -0700

sagemath (8.2-5) unstable; urgency=medium

  * New patch d1-remove-sage-python23.patch. (Closes: #902545)

 -- Tobias Hansen <thansen@debian.org>  Fri, 29 Jun 2018 12:12:45 +0200

sagemath (8.2-4) unstable; urgency=medium

  * Depend on libflint-arb-dev (>= 1:2.12).

 -- Tobias Hansen <thansen@debian.org>  Tue, 26 Jun 2018 18:00:34 +0200

sagemath (8.2-3) unstable; urgency=medium

  * Upload to unstable.
  * Update networkx patch.

 -- Tobias Hansen <thansen@debian.org>  Tue, 26 Jun 2018 12:01:13 +0200

sagemath (8.2-2) experimental; urgency=medium

  * New (Build-)Depends:
    - python-networkx (>= 2.1)
    - sympow (>= 1.023-9)
  * New patches:
    - u0-version-networkx-2.1.patch              #24374
      (Closes: #901532)

 -- Tobias Hansen <thansen@debian.org>  Fri, 22 Jun 2018 14:22:29 +0000

sagemath (8.2-1) experimental; urgency=medium

  * New upstream version.
  * New (Build-)Depends:
    - cython (>= 0.28.2)
    - fflas-ffpack (>= 2.3.2)
    - flint-arb (>= 2.12),
    - givaro (>= 4.0.4)
    - linbox (>= 1.5.2)
    - pynac (>= 0.7.19)
    - sphinx (>= 1.7)
    - python-numpy (>= 1:1.14)
    - python-sagenb (>= 1.0.1+ds1-5)
  * Version restrictions to use packages from unstable
    rather than experimental:
    - libec-dev (<< 20171219~)
    - libsingular4-dev (<< 1:4.1.1~)
  * Remove patches (applied upstream):
    - u0-version-matplotlib-2.1.0.patch          #23696
    - u0-version-mpfr-4.0.patch                  #24353
    - u1-version-ipython-5.4.patch               #24389
    - u1-version-giac-1.2.3.57.patch
  * New patches:
    - u0-version-numpy-1.14.3.patch              #25260
    - u0-version-pynac-0.7.19.patch              #24838
    - u0-version-sphinx-1.7.patch                #24935
    - d0-pari-2.9-revert-24531.patch
    - dt-version-ipywidgets-6-revert-23177.patch
  * Patches with non-trivial modifications:
    - d0-arb.patch
    - d0-pari-2.9-revert-23544.patch
    - d0-paths.patch
    - d1-sage-cli.patch
  * Increase the allowed test failures from 62 up to 70.

 -- Tobias Hansen <thansen@debian.org>  Wed, 06 Jun 2018 17:48:06 +0000

sagemath (8.1-7) unstable; urgency=medium

  [ Ximin Luo ]
  * Add dot2tex to Suggests, needed by GenericGraph.layout_graphviz().
  * Work around Singular bug on mips64el (#892622) by disabling ASLR.
  * Remove armel one-thread workaround because it didn't work.
  * Use pkg-config to check for freetype2. (Closes: #892440)

 -- Tobias Hansen <thansen@debian.org>  Sun, 18 Mar 2018 21:04:20 +0000

sagemath (8.1-6) unstable; urgency=medium

  * Add patch dt-version-glpk-4.65-ignore-warnings.patch.

 -- Tobias Hansen <thansen@debian.org>  Wed, 28 Feb 2018 16:23:41 +0000

sagemath (8.1-5) unstable; urgency=medium

  * Restrict to one thread on armel to try to avoid buildds getting stuck.

 -- Tobias Hansen <thansen@debian.org>  Thu, 22 Feb 2018 20:28:34 +0000

sagemath (8.1-4) unstable; urgency=medium

  * Bump gf2x build-dependency to pull in fixes for illegal instruction
    on older amd64 and i386 machines.
  * Increase the allowed test failures from 50 up to 62. This is mostly to
    handle certain arches that have 11 extra failures; most arches should
    stay below 50.
    - Generally we have to do this increasing when the versions of the
      Build-Deps in Debian grow newer and further apart from what upstream
      expects; and can reset the number back down to 50 or less when a new
      upstream version is released.

 -- Ximin Luo <infinity0@debian.org>  Tue, 13 Feb 2018 11:28:20 +0100

sagemath (8.1-3) unstable; urgency=medium

  [ Tobias Hansen ]
  * Update Vcs-* links for salsa.
  * New patches:
    - u0-version-mpfr-4.0.patch
      Fixes for libmpfr 4.0.
    - u0-version-matplotlib-2.1.0.patch
      New dependencies:
      - python-subprocess32
      - python-backports.functools-lru-cache
  * Modified patches:
    - dt-more-fix-test-cases.patch
      Fix ordering issue in two tests in the documentation.

  [ Ximin Luo ]
  * Tests now pass fine after fixes in other packages. (Closes: #888912)
  * Modified patches:
    - dt-more-fix-test-cases.patch
      Ignore sigabrt in sage_object.pyx doctest.
  * Add dbg packages to the pkg.sagemath.dbg build-profile to make
    stack traces work.
  * Touch the dummy spkg file to avoid rebuilds in some cases.

 -- Tobias Hansen <thansen@debian.org>  Sun, 11 Feb 2018 21:20:28 +0000

sagemath (8.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Sat, 30 Dec 2017 12:26:04 +0100

sagemath (8.1-1) experimental; urgency=medium

  * New upstream version.

 -- Tobias Hansen <thansen@debian.org>  Thu, 28 Dec 2017 18:31:24 +0100

sagemath (8.1~rc0-1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * Drop lcalc binNMU requirement, now it is satisfied everywhere
    and breaks debian derivatives.

  [ Tobias Hansen ]
  * New upstream version.
  * New (Build-)Depends:
    - libflint-arb-dev (>= 2.11.1)
    - python-cypari2 (>= 1.1.3)
    - python-numpy (>= 1:1.13)
    - brial (>= 1.0.1)
    - fplll (>= 5.2.0)
    - python-fpylll (>= 0.3.0)
  * Changed (Build-)Depends: (Closes: #880781)
    - (libgd2-noxpm-dev | libgd2-xpm-dev) to libgd-dev
  * New patches:
    - d0-pari-2.9-revert-23544.patch
  * Remove patches:
    - u0-version-pynac-0.7.12.patch
    - u2-fix-less-trivial-test-cases.patch

  [ Julien Puydt ]
  * Bump d/watch to version 4.

  [ Ximin Luo ]
  * New patches:
    - u1-version-ipython-5.4.patch

 -- Tobias Hansen <thansen@debian.org>  Mon, 13 Nov 2017 22:05:10 +0100

sagemath (8.1~beta7-1) experimental; urgency=medium

  * New upstream version.
  * New (Build-)Depends:
    - libpynac-dev (>= 0.7.12)
    - python-cypari2 (>= 1.1.1)
    - python-typing
  * Remove patches (applied upstream):
    - u0-version-cython-0.26.patch               #23360
    - u0-version-scipy-0.19.1.patch              #23594
    - u0-version-sphinx-1.6.patch                #23023
    - u1-pip-nowarn.patch                        #21835
    - u1-more-sphinx-1.5-fixes.patch             #23364
    - d0-cython-sys-path.patch
    - df-silence_debian_bug_780186.patch
  * Patches with non-trivial modifications:
    - u2-allow-override-sage-local.patch
    - u2-fix-trivial-test-cases.patch
    - u2-fix-less-trivial-test-cases.patch
    - d0-paths.patch
    - df-revert-lazy-import-dependent-on-python-patch.patch
  * New patches:
    - u0-version-pynac-0.7.12.patch

 -- Tobias Hansen <thansen@debian.org>  Sun, 15 Oct 2017 20:33:50 +0100

sagemath (8.0-9) unstable; urgency=medium

  [ Tobias Hansen ]
  * Changed (Build-)Depends: (Closes: #880781)
    - (libgd2-noxpm-dev | libgd2-xpm-dev) to libgd-dev

  [ Ximin Luo ]
  * New patches:
    - u1-version-ipython-5.4.patch

 -- Ximin Luo <infinity0@debian.org>  Fri, 10 Nov 2017 14:45:27 +0100

sagemath (8.0-8) unstable; urgency=medium

  [ Ximin Luo ]
  * Set a higher test timeout for slower architectures.
  * Don't ignore timed-out tests on i386, they work fine.
  * Re-enable parallel docbuild but using subprocess instead.

  [ Tobias Hansen ]
  * Add upstream patch to build with Sphinx (>= 1.6):
    - u0-version-sphinx-1.6.patch (Closes: #872259)
  * Print messages explaining why tests do/don't fail.
  * Organize d/rules into sections.

 -- Tobias Hansen <thansen@debian.org>  Wed, 20 Sep 2017 07:18:46 +0000

sagemath (8.0-7) unstable; urgency=medium
 
  * Add patch u0-version-scipy-0.19.1.patch from upstream.
  * Remove parts of u2-fix-less-trivial-test-cases.patch which are
    included in u0-version-scipy-0.19.1.patch.
  * Depend on scipy >= 0.19.1.

 -- Tobias Hansen <thansen@debian.org>  Sun, 10 Sep 2017 20:01:46 +0000

sagemath (8.0-6) unstable; urgency=medium

  * Use pkg-config to check for openblas|atlas in pruner, the old check
    broke with the multiarchified openblas 0.2.20+ds-3 and
    atlas 3.10.3-4.
  * Build with openblas on supported architectures and with atlas on
    the others.

 -- Tobias Hansen <thansen@debian.org>  Sun, 10 Sep 2017 18:03:14 +0100

sagemath (8.0-5) unstable; urgency=medium

  * Tweak the test failure limits to avoid unnecessary FTBFS.

 -- Ximin Luo <infinity0@debian.org>  Sun, 27 Aug 2017 22:12:28 +0200

sagemath (8.0-4) unstable; urgency=medium

  * Upload to unstable.
  * Relax the runtime dependencies.
  * Deduplicate the documentation using rdfind(1).

 -- Ximin Luo <infinity0@debian.org>  Sun, 27 Aug 2017 16:00:52 +0200

sagemath (8.0-3) experimental; urgency=medium

  * Fix FTBFS everywhere caused by bad Makefile syntax for running tests.
  * Add a pkg.sagemath.nolongcheck build profile for skipping --long tests.

 -- Ximin Luo <infinity0@debian.org>  Thu, 17 Aug 2017 15:23:14 +0200

sagemath (8.0-2) experimental; urgency=medium

  * Fix FTBFS everywhere by adding python-dev to Build-Depends since the
    pruner was updated to check for that instead of python-2.7.pc.

 -- Ximin Luo <infinity0@debian.org>  Thu, 17 Aug 2017 11:59:21 +0200

sagemath (8.0-1) experimental; urgency=medium

  [ Tobias Hansen ]
  * New upstream version (Closes: #870688).
  * New (Build-)Depends:
    - cypari2
  * Remove patches (applied upstream):
    - u0-fix-proper-scipy-rtol.patch
    - u0-version-r-3.3.3.patch
    - u0-version-singular-4.1.0p2.patch
    - u0-version-singular-4.1.0p3.patch
    - u0-sphinx-1.5.patch
    - u1-fix-use-lexists-not-exists.patch
    - u1-version-ecm-7.patch
    - u1-version-planarity-3.patch
    - df-sagedoc_avoid_exception.patch
  * Patches with non-trivial modifications:
    - u2-allow-override-sage-local.patch:
      May need further edits after https://trac.sagemath.org/ticket/21479
    - d0-libgap-sage.patch
    - d0-pari-stackwarn.patch
    - d0-paths.patch
    - d0-singular.patch
    - d1-install-paths.patch
    - d1-sage-env.patch
  * New patches:
    - df-revert-lazy-imports-22755.patch
    - u0-version-cython-0.26.patch
  * Decrease number of allowed test failures from 80 to 40.

  [ Ximin Luo ]
  * Update to latest Standards-Version; no changes required.
  * Split arch-dep vs arch-indep build and test targets more efficiently.
  * New patches:
    - u1-version-giac-1.2.3.57.patch
    - u2-workaround-sympow-malloc-perturb.patch

  [ Julien Puydt ]
  * Make searching for python check only the major version (Closes: #871794).

 -- Ximin Luo <infinity0@debian.org>  Wed, 16 Aug 2017 20:25:45 +0200

sagemath (7.6-3) unstable; urgency=medium

  * New patches:
    - u0-sphinx-1.5.patch, upstream fixes for sphinx 1.5.
    - u1-more-sphinx-1.5-fixes.patch from Dmitry Shachnev. (Closes: #866166)
  * Use libgcrypt-dev instead of obsolete libgcrypt11-dev. (Closes: #864132)
  * Increase number of allowed test failures from 40 to 80.

 -- Tobias Hansen <thansen@debian.org>  Mon, 24 Jul 2017 10:14:09 +0100

sagemath (7.6-2) unstable; urgency=medium

  * Upload to unstable.
  * New patch u0-version-singular-4.1.0-p3.
  * Depend on singular (>= 1:4.1.0-p3).

 -- Tobias Hansen <thansen@debian.org>  Mon, 08 May 2017 14:31:50 +0100

sagemath (7.6-1) experimental; urgency=medium

  * New upstream version.
  * Broken symlinks to thebe.js were removed upstream. (Closes: #856866)
  * Reduce number of allowed test failures during build from 80 to 40.
  * New (Build-)Depends:
    - eclib (>= 20170122)
    - ecl (= 16.1.2)
    - maxima-sage (>= 5.39.0)
    - python3-dev
    - python-enum34
  * Remove patches (applied upstream):
    - u0-dont-test-glpk-version.patch
    - u0-fix-libgap-systemwide.patch
    - u0-fix-preexec-fn.patch
    - u0-singular-include-path-for-pynac.patch
    - u0-use-local-threejs.patch
    - u0-version-pari-2.9.patch
    - u0-version-pynac-0.7.4.patch
    - dt-version-singular-4-extra-fixes.patch
  * New patches:
    - dt-undo-trac-21267-sagenb-interacts-for-jupyter.patch

 -- Tobias Hansen <thansen@debian.org>  Mon, 03 Apr 2017 20:04:43 +0100

sagemath (7.5.1-1) experimental; urgency=medium

  * New upstream version.
  * Remove useless dependency on python-zodb. (Closes: #854926)
  * New (Build-)Depends:
    - libjs-three (>= 80)
    - singular (>= 1:4.1.0-p2)
    - pynac (>= 0.7.5)
    - giac
  * Remove patches (applied upstream):
    - u0-version-cython-0.25.patch
    - u0-version-glpk-4.60.patch
    - u0-version-pari-2.9-trac-21765.patch
    - u0-version-singular-4.patch
    - u0-distutils-fixes.patch
    - u0-timeit-python-2.7.11.patch
    - u1-version-pkgconfig.patch
  * Patches with non-trivial modifications:
    - u0-pip-nowarn.patch
    - u0-version-pari-2.9.patch
    - u2-allow-override-sage-local.patch
    - u2-fix-trivial-test-cases.patch
    - u2-fix-less-trivial-test-cases.patch
    - d0-arb.patch (patch acb_poly.pxd)
    - d0-gsl-cblas.patch (keep gslcblas in gsl_libs)
    - d0-pari.patch
    - d0-pari-stackwarn.patch
    - d0-paths-sharedata.patch
    - d0-paths.patch
    - d0-singular.patch
    - d1-install-paths.patch
    - d1-sage-env.patch (also patch env.py from here)
    - dt-disable-parallel-sphinx.patch
    - dt-more-fix-test-cases.patch (parts were applied upstream)
  * New patches:
    - u0-use-local-threejs.patch
    - u0-version-singular-4.1.0p2.patch
    - u0-version-pynac-0.7.4.patch
    - u1-singular-include-path-for-pynac.patch
    - u1-dont-test-glpk-version.patch

 -- Tobias Hansen <thansen@debian.org>  Fri, 17 Mar 2017 00:17:32 +0000

sagemath (7.4-9) unstable; urgency=medium

  * Update for dh-python 2.20170125.

 -- Ximin Luo <infinity0@debian.org>  Thu, 26 Jan 2017 01:16:15 +0100

sagemath (7.4-8) unstable; urgency=medium

  * Work around some testing issues on i386. (Closes: #852374)

 -- Ximin Luo <infinity0@debian.org>  Wed, 25 Jan 2017 16:08:28 +0100

sagemath (7.4-7) unstable; urgency=medium

  * Improve the state of post-install tests.

 -- Ximin Luo <infinity0@debian.org>  Sun, 22 Jan 2017 01:17:16 +0100

sagemath (7.4-6) unstable; urgency=medium

  * Only check dochtml.log for errors if we will actually build the doc
    packages. This helps to avoid FTBFS on low-memory arch-any buildds.

 -- Ximin Luo <infinity0@debian.org>  Mon, 09 Jan 2017 12:53:34 +0100

sagemath (7.4-5) unstable; urgency=medium

  [ Ximin Luo ]
  * Generate documentation reproducibly.
  * Set SYMPOW_CACHEDIR instead of HOME.
  * Depend on python-numpy (>= 1:1.12.0~rc2-1).

  [ Tobias Hansen ]
  * Rebuild against brial 0.8.5-4. (Closes: #849152)
  * Remove sagetex from Build-Depends and sagemath:Depends,
    add to sagemath:Recommends.
  * Change u1-version-pbori-boost1.62-hashes.patch:
    Also update hashes for 32 bit.

 -- Tobias Hansen <thansen@debian.org>  Sun, 08 Jan 2017 09:57:27 +0100

sagemath (7.4-4) unstable; urgency=medium

  * Add a temporary exception to the i386 testsuite to allow the build to pass.
    This allows us to artificially pass an intermediate deadline for the Debian
    stretch release schedule, which gives us more breathing space to fix this
    properly for the eventual deadline.

 -- Ximin Luo <infinity0@debian.org>  Fri, 23 Dec 2016 17:37:30 +0100

sagemath (7.4-3) unstable; urgency=medium

  * Fix separate arch-all vs arch-any builds.

 -- Ximin Luo <infinity0@debian.org>  Thu, 22 Dec 2016 12:31:41 +0100

sagemath (7.4-2) unstable; urgency=medium

  [ Tobias Hansen ]
  * Upload to unstable.
  * Move install paths to */sagemath/* instead of */sage/*.

 -- Ximin Luo <infinity0@debian.org>  Wed, 21 Dec 2016 02:53:07 +0100

sagemath (7.4-1) experimental; urgency=medium

  * Initial package. (Closes: #841136)

 -- Tobias Hansen <thansen@debian.org>  Sun, 18 Dec 2016 13:25:32 +0000